/* Coral library for low level data structure implementation
 Copyright (C) 1996-2004 Hee S. Chung

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

/* Compatibility for sys/stat.h */

#ifndef __CORAL_COMPAT_STAT_H
# define __CORAL_COMPAT_STAT_H



#include <sys/stat.h>



#ifdef _MSC_VER
#	include <direct.h>
#	define mkdir(name,mode) mkdir(name)
#endif /* _MSC_VER */



/* currently following macros are defined for 16 bit borland c compilers */
#ifndef S_ISDIR
#	define S_ISDIR(m)  ((m)&S_IFDIR)
#	define S_ISREG(m)  ((m)&S_IFREG)
#endif /* S_ISDIR */



#endif /* __CORAL_COMPAT_STAT_H */

