/* Coral library for low level data structure implementation
 Copyright (C) 1996-2004 Hee S. Chung

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */



#include <coralsrc/memory.h>
#include <coralsrc/generic.h>



/* optim
TODO: stack extension */


void __API
quick_sort( p, from, to, pivot, buf, get, swap, compare )
    void __F* p;
    unsigned long from;
    unsigned long to;
    void __F* pivot;
    void __F* buf;
    void __F* (__API* get) P_A(( void __F* p, unsigned long i, void __F* buf ));
    void (__API* swap) P_A(( void __F* p, unsigned long i, unsigned long j ));
    int (__API* compare) P_A(( void __F* a, void __F* b ));
{

    struct _quicksort_stack* stack =
	(struct _quicksort_stack*)	memAlloc( 10240*sizeof(struct _quicksort_stack) );
    unsigned is = 0;

retry:
	if( from<to ) {

		/* partition */
		unsigned long i, partition = from;//-1;
/* TODO: check return value from 'get' to know failure? */
		get(p,to,pivot);
		for( i=from; i<to; i++ ) {
			if( compare(get(p,i,buf),pivot)<=0 ) {
				if( partition!=i ) swap( p, partition, i );
				partition ++;
			} /* end if( compare ) */
		} /* end for */
		if( partition!=to )	swap( p, partition, to );

		/* recursion */
		//        stack[is].from = 
/*		if( from+1<partition )
			quicksort( p, from, partition-1, get, swap, compare );
		if( partition<to )
			quicksort( p, partition, to, get, swap, compare );*/

		if( partition<to ) {
			if( from+1<partition ) {
				stack[is].from = partition;
				stack[is].to = to;
				is++;

				to = partition-1; // dup
				goto retry;
			}
			from = partition;
			goto retry;
		}

		if( from+1<partition ) {
//			stack[is].from = from;
//			stack[is].to = partition-1;
//			is++;
			to = partition-1;
			goto retry;
		}

		if( is>0 ) {
			is--;
			from = stack[is].from;
			to = stack[is].to;
			goto retry;
		}
//from = 
//			goto retry;
//		}

	} /* end if( from<to ) */


	memFree( stack );
}




/* EOF */

