/* Coral library for low level data structure implementation
 Copyright (C) 1996-2004 Hee S. Chung

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*
 1998.09.09
 1999.04.04  Reviewed
*/



/* XXX this source is not needed */


#ifndef __CORALSRC_INLINE_H
 #define __CORALSRC_INLINE_H


#include <coralsrc/memory.h>
#include <coral/inline.h>
#include <coral/compat/string.h>


__CBEGIN__



#if defined(__UNIX__)

#define libOpen(name) dlopen(name,

#else


/* far version string methods for turbo c 2.0 */
#ifdef __TURBOC__
#if __TURBOC__<=0x200

#if defined(__TINY__) || defined(__SMALL__) || defined(__MEDIUM__)
_API( _unsigned2, _fstrlen, ( char __F* s ) );
_API( char _F*, _fstrcat, ( char __F* dest, char __F* src ) );
#endif /* __TINY__ || __SMALL__ || __MEDIUM__ */

#endif /* __TURBOC__<=0x200 */
#endif /* __TURBOC__ */

#endif /* __UNIX__ */



__CEND__



#endif /* __CORALSRC_INLINE_H */
