/* Coral library for low level data structure implementation
 Copyright (C) 1996-2004 Hee S. Chung

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */



/* String Operations */



#ifndef __CORALSRC_STRING_H
# define __CORALSRC_STRING_H


#include <coralsrc/def.h>
#include <coral/string.h>


struct _str_compare_class_str {
  const char __F* s;      /* the given string to be compared */
  int             offset; /* the offset of the string in a class is present */
  unsigned        flag;   /* option flag */
  void __F*       object; /* the object which has the same string : initialized by str_compare_class_str */
};


extern const char str_white_char[5];
#define str_lineend_char &str_white_char[2]

int __API str_compare_class_str P_A(( void __F* object, struct _str_compare_class_str __F* str ));



#endif /* __CORALSRC_STRING_H */

