SH_EXPORT=y
MK_OPTIMIZE=FAST
EX_SRC=list1
EX_SRCEXT=c
EX_SRCPATH=$(MK_DEVEL)/test/coral
EX_LIB=$(LSH_PREF)coral$(LIB_MOD)$(LSH_SUFF)
EX_DEPEND=$(MK_SH)/$(SH_PREF)coral$(LIB_MOD)$(SH_SUFF)
MK_CC_OPT=-I$(MK_DEVEL)

SH_NAME=coral$(LIB_MOD)
SH_OBJ=$(CORAL_MODULE) $(CORALEXT_MODULE) $(CORALCOMPAT_MODULE)
SH_LIB=$(LIB_DL) $(LIB_THREAD)
CORAL_DEVEL=$(MK_DEVEL)/coralsrc
CORAL_CC=$(SH_CC) -D__EXPORT__
CORALEXT_CC=$(CORAL_CC) 
CORALPLAT_CC=$(CORAL_CC)
CORALCOMPAT_CC=$(CORAL_CC)

MK_OPTIMIZE=FAST

include $(MK_TEMPLATE_ROOT)/symbol.mk
include $(MK_EXECUTE)

include $(CORAL_DEVEL)/make/coralmod.mk
include $(CORAL_DEVEL)/make/extmod.mk
include $(CORAL_DEVEL)/make/platmod.mk
include $(CORAL_DEVEL)/make/cmod.mk
include $(MK_SHARED)
include $(CORAL_DEVEL)/make/coraldep.mk
include $(CORAL_DEVEL)/make/extdep.mk
include $(CORAL_DEVEL)/make/platdep.mk
include $(CORAL_DEVEL)/make/cdep.mk

clean:
	make -f coral.mk clean_shared
	make -f coral.mk clean_coral
	make -f coral.mk clean_coralext
	make -f coral.mk clean_coralplat
	make -f coral.mk clean_coralcompat
	make -f coral.mk clean_execute

# end of coral.mk

