include $(MK_TEMPLATE)/def.mk

ifndef EX_SRCPATH
EX_SRCPATH=.
endif

ifndef EX_SRCEXT
EX_SRCEXT=c
endif

ifndef EX_NAME
EX_NAME=a
endif

EX_CC=$(_MK_CC)
EX_CXX=$(_MK_CXX)

ifeq ("$(EX_SRCEXT)","c")
_EX_CC=$(EX_CC)
_EX_LD=gcc
else
_EX_CC=$(EX_CXX)
_EX_LD=g++
endif

# Dependencies

_EX_MODULE=$(MK_OUT)/$(EX_SRC).o $(EX_OBJ) $(EXW_RES)

$(MK_OUT_ROOT)/$(MK_OS)/$(EX_NAME) : $(_EX_MODULE) $(EX_DEPEND)
	$(_EX_LD) -o$@ -L. $(_EX_MODULE) $(_MK_LD_OPT) $(MK_LD_OPT) $(EX_LIB)

$(MK_OUT)/$(EX_SRC).o : $(EX_SRCPATH)/$(EX_SRC).$(EX_SRCEXT)
	$(_EX_CC) $(EX_SRCPATH)/$(EX_SRC).$(EX_SRCEXT)

clean_execute:
	$(MK_RM) $(MK_OUT_ROOT)/$(MK_OS)/$(EX_NAME)
	$(MK_RM) $(MK_OUT)/$(EX_SRC).o

# end of execute.mk

