include $(MK_TEMPLATE)/def.mk

ifdef SH_SRC

ifndef SH_SRCPATH
SH_SRCPATH=.
endif

ifndef SH_NAME
SH_NAME=$(SH_SRC)
endif

_SH_SRC_OBJ=$(MK_OUT)/$(SH_SRC).obj
_SH_RM_SRC_OBJ= $(MK_RM) $(_SH_SRC_OBJ)

else

ifndef SH_NAME
SH_NAME=shared
endif

endif # SH_SRC

SH_CC=$(_MK_CC)
SH_CXX=$(_MK_CXX)

ifeq ("$(SH_SRCEXT)","cpp")
_SH_CC=$(SH_CXX)
_SH_LD=gcc --shared
else
_SH_CC=$(SH_CC)
_SH_LD=gcc --shared
endif

# Generate library

_SH_MODULE=$(MK_OUT)/$(SH_SRC).$(OBJ_EXT) $(SH_OBJ)

$(MK_SH)/$(SH_PREF)$(SH_NAME)$(SH_SUFF) : $(_SH_SRC_OBJ) $(SH_OBJ) $(SH_DEPEND)
	$(_SH_LD) -o$@ -L. $(_SH_SRC_OBJ) $(SH_OBJ) $(_MK_LD_OPT) $(MK_LD_OPT) $(SH_LIB)

ifdef SH_SRC
$(_SH_MK_OUT)/$(SH_SRC).$(OBJ_EXT) : $(SH_SRCPATH)/$(SH_SRC).$(SH_SRCEXT)
	$(_SH_CC) $(SH_SRCPATH)/$(SH_SRC).$(SH_SRCEXT)
endif

clean_shared:
	$(MK_RM) $(MK_SH)/$(SH_PREF)$(SH_NAME)$(SH_SUFF)
	$(_SH_RM_SRC_OBJ)

# end of execute.mk

