/* Coral library for low level data structure implementation
 Copyright (C) 1996-2004 Hee S. Chung

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

/* stdarg.h compatibility */

#ifndef __CORAL_COMPAT_STDARG_H
# define __CORAL_COMPAT_STDARG_H

#include <coral/def.h>



/* va_begin, va_start replacement */
#ifdef __MODERNPARAM__
# include <stdarg.h>
# define va_begin va_start
#else /* !__MODERNPARAM__ */
# include <varargs.h>
# define va_begin(arg,end) va_start(arg)
#endif /* __MODERNPARAM__ */



#endif /* __CORAL_COMPAT_STDARG_H */
