/* Coral library for low level data structure implementation
 Copyright (C) 1996-2001 Hee S. Chung

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */


#ifndef __CORAL_RECINFO_H
# define __CORAL_RECINFO_H



#include <coral/inline.h>



/*  predefined macros : RECORD_NAME, RECORD_INFO */
#define BEGIN_RECORD_INFO(info) RECORD_INFO info[] = {
#define END_RECORD_INFO 0 }
#define RECORD_FIELD(m) sizeof(((RECORD_NAME*)NULL)->m), OP_OFFSET(RECORD_NAME,m)
#define RECORD_ARRAY(m,n) (RECORD_INFO)(OP_MINBITINT(sizeof(RECORD_INFO)*8)|n), RECORD_FIELD(m)



#endif /* __CORAL_RECINFO_H */
