# CORAL_DEVEL : source path
# MK_OUT : output path
# CORAL_CC : c compiler
# CORAL_CXX : c++ compiler
# OBJ_EXT : object file extension
# MK_RM : rm command


$(MK_OUT):bintree.$(OBJ_EXT) : $(CORAL_DEVEL):bintree.c
	$(CORAL_CC) $(CORAL_DEVEL):bintree.c

$(MK_OUT):compat.$(OBJ_EXT) : $(CORAL_DEVEL):compat.c
	$(CORAL_CC) $(CORAL_DEVEL):compat.c

$(MK_OUT):file.$(OBJ_EXT) : $(CORAL_DEVEL):file.c
	$(CORAL_CC) $(CORAL_DEVEL):file.c

$(MK_OUT):integer.$(OBJ_EXT) : $(CORAL_DEVEL):integer.c
	$(CORAL_CC) $(CORAL_DEVEL):integer.c

$(MK_OUT):io.$(OBJ_EXT) : $(CORAL_DEVEL):io.c
	$(CORAL_CC) $(CORAL_DEVEL):io.c

$(MK_OUT):iotext.$(OBJ_EXT) : $(CORAL_DEVEL):iotext.c
	$(CORAL_CC) $(CORAL_DEVEL):iotext.c

$(MK_OUT):list.$(OBJ_EXT) : $(CORAL_DEVEL):list.c
	$(CORAL_CC) $(CORAL_DEVEL):list.c

$(MK_OUT):memory.$(OBJ_EXT) : $(CORAL_DEVEL):memory.c
	$(CORAL_CC) $(CORAL_DEVEL):memory.c

$(MK_OUT):string.$(OBJ_EXT) : $(CORAL_DEVEL):string.c
	$(CORAL_CC) $(CORAL_DEVEL):string.c

clean_coral:
	$(MK_RM) $(MK_OUT):bintree.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT):compat.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT):file.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT):integer.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT):io.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT):iotext.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT):list.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT):memory.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT):string.$(OBJ_EXT)

# end of coraldep.m

