# CORAL_DEVEL : source path
# MK_OUT : output path
# CORAL_CC : c compiler
# CORAL_CXX : c++ compiler
# OBJ_EXT : object file extension
# MK_RM : rm command


$(MK_OUT)/bintree.$(OBJ_EXT) : $(CORAL_DEVEL)/bintree.c
	$(CORAL_CC) $(CORAL_DEVEL)/bintree.c

$(MK_OUT)/compat.$(OBJ_EXT) : $(CORAL_DEVEL)/compat.c
	$(CORAL_CC) $(CORAL_DEVEL)/compat.c

$(MK_OUT)/file.$(OBJ_EXT) : $(CORAL_DEVEL)/file.c
	$(CORAL_CC) $(CORAL_DEVEL)/file.c

$(MK_OUT)/dir.$(OBJ_EXT) : $(CORAL_DEVEL)/dir.c
	$(CORAL_CC) $(CORAL_DEVEL)/dir.c

$(MK_OUT)/integer.$(OBJ_EXT) : $(CORAL_DEVEL)/integer.c
	$(CORAL_CC) $(CORAL_DEVEL)/integer.c

$(MK_OUT)/io.$(OBJ_EXT) : $(CORAL_DEVEL)/io.c
	$(CORAL_CC) $(CORAL_DEVEL)/io.c

$(MK_OUT)/iox.$(OBJ_EXT) : $(CORAL_DEVEL)/iox.c
	$(CORAL_CC) $(CORAL_DEVEL)/iox.c

$(MK_OUT)/iotext.$(OBJ_EXT) : $(CORAL_DEVEL)/iotext.c
	$(CORAL_CC) $(CORAL_DEVEL)/iotext.c

$(MK_OUT)/list.$(OBJ_EXT) : $(CORAL_DEVEL)/list.c
	$(CORAL_CC) $(CORAL_DEVEL)/list.c

$(MK_OUT)/memory.$(OBJ_EXT) : $(CORAL_DEVEL)/memory.c
	$(CORAL_CC) $(CORAL_DEVEL)/memory.c

$(MK_OUT)/string.$(OBJ_EXT) : $(CORAL_DEVEL)/string.c
	$(CORAL_CC) $(CORAL_DEVEL)/string.c

$(MK_OUT)/oplog.$(OBJ_EXT) : $(CORAL_DEVEL)/oplog.c
	$(CORAL_CC) $(CORAL_DEVEL)/oplog.c

$(MK_OUT)/generic.$(OBJ_EXT) : $(CORAL_DEVEL)/generic.c
	$(CORAL_CC) $(CORAL_DEVEL)/generic.c

$(MK_OUT)/dl.$(OBJ_EXT) : $(CORAL_DEVEL)/dl.c
	$(CORAL_CC) $(CORAL_DEVEL)/dl.c

$(MK_OUT)/type.$(OBJ_EXT) : $(CORAL_DEVEL)/type.c
	$(CORAL_CC) $(CORAL_DEVEL)/type.c

$(MK_OUT)/cparser.$(OBJ_EXT) : $(CORAL_DEVEL)/cparser.c
	$(CORAL_CC) $(CORAL_DEVEL)/cparser.c

$(MK_OUT)/dio.$(OBJ_EXT) : $(CORAL_DEVEL)/dio.c
	$(CORAL_CC) $(CORAL_DEVEL)/dio.c

$(MK_OUT)/diolist.$(OBJ_EXT) : $(CORAL_DEVEL)/diolist.c
	$(CORAL_CC) $(CORAL_DEVEL)/diolist.c

clean_coral:
	$(MK_RM) $(MK_OUT)/bintree.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/compat.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/file.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/dir.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/integer.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/io.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/iox.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/iotext.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/list.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/memory.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/string.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/oplog.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/generic.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/dl.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/type.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/cparser.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/dio.$(OBJ_EXT)
	$(MK_RM) $(MK_OUT)/diolist.$(OBJ_EXT)

# end of coraldep.mk

