# Common definitions
# Hee S. Chung

ifndef __WIN32_GCC_DEF_MK
__WIN32_GCC_DEF_MK=1

# Predefined macros

ifndef MK_OUT_ROOT
MK_OUT_ROOT=$(MK_DEVEL)/out
endif

ifndef MK_LIB_ROOT
MK_LIB_ROOT=$(MK_DEVEL)/lib
endif

ifndef MK_MODE
MK_MODE=r
endif

_MK_CC_COMMON= -c -Wall -o$@ $(MK_CC_OPT) $(_MK_CC_OPT)
_MK_CC=gcc $(_MK_CC_COMMON)
_MK_CXX=g++ $(_MK_CC_COMMON) $(MK_CXX_OPT)
_MK_LD_OPT=-L $(MK_LIB)

MK_RM=rm -f
OBJ_EXT=o

#ifndef LIBW_DLL_FILE
#LIBW_DLL_FILE=$(MK_SHARED_PATH)\$(SH_NAME)$(_LIB_MODE).dll
#endif

ST_PREFD=lib
ST_PREFR=lib
ST_PREF=lib
ST_SUFFR=.a

ifeq ("$(SH_EXPORT)","y")
ST_SUFFD=d.a
SH_SUFFD=d.dll
LIB_MOD=32
LST_SUFFD=d
LSH_SUFFD=d
else
ST_SUFFD=_d.a
SH_PREFD=lib
SH_PREFR=lib
SH_PREF=lib
SH_SUFFD=_d.dll
LST_SUFFD=_d
LSH_SUFFD=_d
endif

SH_SUFFR=.dll

LST_PREFD=-l
LST_PREFR=-l
LST_PREF=-l
LSH_PREFD=-l
LSH_PREFR=-l
LSH_PREF=-l

ifeq ($(MK_MODE),d)
	ST_SUFF=$(ST_SUFFD)
	SH_SUFF=$(SH_SUFFD)
	LST_SUFF=$(LST_SUFFD)
	LSH_SUFF=$(LSH_SUFFD)
	_MK_CC_OPT=-g
else
	ifeq ($(MK_OPTIMIZE),FAST)
		_MK_CC_OPT=-O2
	else
	ifeq ($(MK_OPTIMIZE),SIZE)
		_MK_CC_OPT=-O1
	endif
	endif
	ST_SUFF=$(ST_SUFFR)
	SH_SUFF=$(SH_SUFFR)
	LST_SUFF=$(LST_SUFFR)
	LSH_SUFF=$(LSH_SUFFR)
endif

endif

