# Makefile to generate an executable file
# Hee S. Chung, Distributed under GNU LGPL


!include $(MK_TEMPLATE)\def.d

!ifndef EX_SRCPATH
EX_SRCPATH=.
!endif

!ifndef EX_SRCEXT
EX_SRCEXT=c
!endif

!ifndef EX_NAME
EX_NAME=a
!endif

EX_CC=$(_MK_CC)
EX_CXX=$(_MK_CXX)



!if "$(EX_SRCEXT)"=="c"
_EX_CC=$(EX_CC)
!else
_EX_CC=$(EX_CXX)
!endif

# Dependencies

_EX_MODULE=$(EX_OBJ) $(EXW_RES)
!ifdef EX_SRC
_EX_MODULE=$(MK_OUT)\$(EX_SRC).obj $(_EX_MODULE)
!endif

$(MK_OUT_PATH)\$(EX_NAME).$(_EX_EXT) : $(_EX_MODULE) $(EX_DEPEND)
	link /OUT:$@ $(MK_LD_OPT) $(_MK_LD_OPT) $(_EX_MODULE) $(EX_LIB)

!ifdef EX_SRC
$(MK_OUT)\$(EX_SRC).obj : $(EX_SRCPATH)\$(EX_SRC).$(EX_SRCEXT)
	$(_EX_CC) $(EX_SRCPATH)\$(EX_SRC).$(EX_SRCEXT)
!endif

clean_execute:
	$(MK_RM) $(MK_OUT_ROOT)\$(MK_OS)\$(EX_NAME).$(_EX_EXT)
	$(MK_RM) $(MK_OUT)\$(EX_SRC).obj

# end of execute.d

